setOldClass("Surv")

setClass(Class = "ModelC", representation(mod = "ANY"))
setClass(Class = "linearriskscore", representation(coefficients = "numeric", cutpoint = "numeric", 
    modeltype = "character", votingthresholds = "numeric"), contains = "ModelC")
setClass(Class = "survhdcustom", representation(FUN = "function",
         modeltype = "character" ), contains = "ModelC")

setClass(Class = "linpred", representation(lp = "numeric"))
setClass(Class = "survoutput", representation(y = "Surv", linear.predictor = "linpred", 
    learnind = "numeric", method = "character", model = "ModelC"))

setClass(Class = "varseloutput", representation(varsel = "numeric", criterion = "character"))

setClass(Class = "survprobs", representation(survprobs = "breslow"))
setClass(Class = "survvarseloutput", contains = c("survoutput", "varseloutput"))
setClass(Class = "learningsets", representation(learnmatrix = "matrix", method = "character", 
    ntrain = "numeric", iter = "numeric"))

setClass(Class = "genesel", representation(rankings = "list", importance = "list", 
    method = "character", criterion = "character"))

setClass(Class = "survaggr", representation(survoutputlist = "list", X = "data.frame", 
    y = "Surv", genesel = "genesel", nbgene = "numeric", learningsets = "learningsets", 
    threshold = "numeric"))

setClass(Class = "evaloutput", representation(result = "list", measure = "character", 
    additional = "list"))

setClass(Class = "tuningresult", representation(hypergrid = "data.frame", tuneres = "list", 
    method = "character", fold = "numeric", X = "data.frame", learningsets = "learningsets"))

setClass("MeasureC", representation(type = "character"))

setClass("BestPar", representation(par = "ANY", bestind = "numeric", perf = "numeric", 
    measure = "MeasureC"))

setClass(Class = "gsagenesets", representation(genesets = "list", geneset.names = "character", 
    geneset.descriptions = "character", geneset.direction = "character"))

setClass(Class = "gsaresults", representation(geneset.names = "character", statistics = "numeric", 
    p.values = "numeric", genesets.used = "list", geneset.cluster = "factor"))
 
