### signature survaggr,survaggr
setMethod("compare", signature(obj1 = "survaggr", obj2 = "survaggr"), function(obj1, 
    obj2, t0, newdata = NULL, newy = NULL, ...) {
    ### check whether learningsets are identical
    if (any(obj1@learningsets@learnmatrix == obj2@learningsets@learnmatrix) == FALSE) 
        stop("Learningsets are not identical")
    complist <- list()
    
    ls <- obj1@learningsets@learnmatrix
    for (i in 1:nrow(obj1@learningsets@learnmatrix)) {
        if (is.null(newdata) == TRUE & is.null(newy) == TRUE) 
            complist[[i]] <- compare(obj1@survoutputlist[[i]], obj2@survoutputlist[[i]], 
                newdata = obj1@X[-ls[i, ], ], newy = obj1@y[-ls[i, ]], t0 = t0, ...) else if (is.null(newdata) == FALSE & is.null(newy) == FALSE) 
            complist[[i]] <- compare(obj1@survoutputlist[[i]], obj2@survoutputlist[[i]], 
                newdata = newdata, newy = newy, t0 = t0, ...) else stop("Either both newdata and newy have to be provided or none of these arguments.")
    }
    
    return(complist)
})

### signature survoutput,survoutput
setMethod("compare", signature(obj1 = "survoutput", obj2 = "survoutput"), function(obj1, 
    obj2, t0, newdata, newy, ...) {
    require(survIDINRI)
    ll <- list(...)
    ll$covs0 <- predict(obj1, newdata = newdata, type = "lp")@lp
    ll$covs1 <- predict(obj2, newdata = newdata, type = "lp")@lp
    ll$indata <- newy
    ll$t0 <- t0
    out <- do.call("IDI.INF", args = ll)
    return(out)
})
