### signature survaggr,survaggr
setMethod("compareb", signature(obj1 = "survaggr", obj2 = "survaggr"), function(obj1, 
				obj2, measure, newdata = NULL, newy = NULL, ...) {
			### check whether learningsets are identical
			if (any(obj1@learningsets@learnmatrix == obj2@learningsets@learnmatrix) == FALSE) 
				stop("Learningsets are not identical")
			complist <- list()
			
			ls <- obj1@learningsets@learnmatrix
			for (i in 1:nrow(obj1@learningsets@learnmatrix)) {
				if (is.null(newdata) == TRUE & is.null(newy) == TRUE) 
					complist[[i]] <- compareb(obj1@survoutputlist[[i]], obj2@survoutputlist[[i]], 
							newdata = obj1@X[-ls[i, ], ], newy = obj1@y[-ls[i, ]], measure=measure, ...)
				else if (is.null(newdata) == FALSE & is.null(newy) == FALSE) 
					complist[[i]] <- compareb(obj1@survoutputlist[[i]], obj2@survoutputlist[[i]], 
							newdata = newdata, newy = newy, measure=measure, ...) 
				else stop("Either both newdata and newy have to be provided or none of these arguments.")
			}
			
			return(complist)
		})

### signature survoutput,survoutput
setMethod("compareb", signature(obj1 = "survoutput", obj2 = "survoutput"), function(obj1, 
				obj2, measure, newdata, newy, ...) {
		
			
			lp1 <- predict(obj1, newdata = newdata, type = "lp")
			lp2 <- predict(obj2, newdata = newdata, type = "lp")
		
		compareb(obj1=lp1,obj2=lp2,measure=measure,newy=newy,...)	
			
		})
			
### signature ModelC, ModelC
setMethod("compareb", signature(obj1 = "ModelC", obj2 = "ModelC"), function(obj1, 
				obj2, measure, newdata, newy, ...) {
			
			
			lp1 <- predict(obj1, newdata = newdata, type = "lp")
			lp2 <- predict(obj2, newdata = newdata, type = "lp")
			
			compareb(obj1=lp1,obj2=lp2,measure=measure,newy=newy,...)	
			
		})			
			
			
			
###signature linpred, linpred			
setMethod("compareb", signature(obj1 = "linpred", obj2 = "linpred"), function(obj1, 
				obj2, measure, newy, ...) {			
			
			obj<-new(measure)
			compareb(obj1=obj,lp1=obj1,lp2=obj2,newy=newy,...)
		})


###compare measures
###superclass
setClass(Class="CompareOut",representation(estimate="numeric",conf.int="numeric"))
###class NRI
setClass(Class="IDI",contains="CompareOut")
####class ID
setClass(Class="NRI",contains="CompareOut")
####class MIRS
setClass(Class="MIRS",contains="CompareOut")
#####class CDelta
setClass(Class="CDelta",contains="CompareOut")

###lowest level compare functions
###signature IDI
setMethod("compareb",signature(obj1="IDI",obj2="missing"),function(obj1,obj2,lp1,lp2,newy,...){
require(survIDINRI)
ll<-list(...)
ll$indata <- newy
ll$covs0<-lp1@lp
ll$covs1<-lp2@lp

out <- do.call("IDI.INF", args = ll)
new("IDI",estimate=out$m1[1],conf.int=out$m1[2:3])
})

###signature NRI
setMethod("compareb",signature(obj1="NRI",obj2="missing"),function(obj1,obj2,lp1,lp2,newy,...){
			require(survIDINRI)
			ll<-list(...)
			ll$indata <- newy
			ll$covs0<-lp1@lp
			ll$covs1<-lp2@lp
			
			out <- do.call("IDI.INF", args = ll)
			new("NRI",estimate=out$m2[1],conf.int=out$m2[2:3])
		})

###signature MIRS
setMethod("compareb",signature(obj1="MIRS",obj2="missing"),function(obj1,obj2,lp1,lp2,newy,...){
			require(survIDINRI)
			ll<-list(...)
			ll$indata <- newy
			ll$covs0<-lp1@lp
			ll$covs1<-lp2@lp
			
			out <- do.call("IDI.INF", args = ll)
			new("MIRS",estimate=out$m3[1],conf.int=out$m3[2:3])
		})

###signature CDelta
setMethod("compareb",signature(obj1="CDelta",obj2="missing"),function(obj1,obj2,lp1,lp2,newy,...){
			require(survC1)
			ll<-list(...)
			ll$mydata <- newy[,1:2]
			ll$covs0<-lp1@lp
			ll$covs1<-lp2@lp
			
			out <- do.call("Inf.Cval.Delta", args = ll)
			new("CDelta",estimate=out[3,1],conf.int=out[3,3:4])
		})