data(nki70)
attach(nki70)

## Finding an optimal cross-validated likelihood

opt <- optL1(Surv(time, event), penalized = nki70[,8:77], fold = 1:nrow(nki70))
coefficients(opt$fullfit)

X <- as.matrix(nki70[, 8:77])
y <- Surv(time, event)

bootds <- generateLearningsets(y = y, method = "CV", fold=10, niter = 1, strat = FALSE)

survhdopt <- learnSurvival(X=X, y=y,
                           learningsets=bootds,
                           tuninglist=(list(grid=list(lambda=c(1, 5, 10, 25, 50)))),
                           survmethod="penalizedSurv", penalty="lasso")
                           
