###test compare-function

testCompare <- function(){
	library(survHD)
	
	data(beer.exprs)
	data(beer.survival)
	X<-t(as.matrix(beer.exprs))
	y<-Surv(beer.survival$os,beer.survival$status)
	ls<-generateLearningsets(y=y,method='CV',fold=3)
	gsel<-geneSelection(X=X,y=y,learningsets=ls, method='fastCox')
	coxboostmodel1<-learnSurvival(y=y,X=X,survmethod='coxBoostSurv',stepno=20,learningsets=ls,genesel=gsel,nbgene=500)
	coxboostmodel2<-learnSurvival(y=y,X=X,survmethod='coxBoostSurv',stepno=200,learningsets=ls,genesel=gsel,nbgene=500)
	options(error=recover)
	comp<-compare(coxboostmodel1,coxboostmodel2,t0=50)
	
	
	plusminusmodel1<-learnSurvival(y=y,X=X,survmethod='plusMinusSurv',learningsets=ls,genesel=gsel,nbgene=5000)
	plusminusmodel2<-learnSurvival(y=y,X=X,survmethod='plusMinusSurv',learningsets=ls,genesel=gsel,nbgene=7000)
	options(error=recover)
	comp<-compare(plusminusmodel1,plusminusmodel2,t0=50)
	
	lp1<-predict(coxboostmodel1,type='lp',indices=1)[[1]]@lp
	
	lp2<-predict(coxboostmodel2,type='lp',indices=1)[[1]]@lp
	
	library(survIDINRI)
	IDI.INF(indata=y[-ls@learnmatrix[1,],],covs0=lp1,covs1=lp2,t0=50)
	
	
}