testCompare <- function(){
	library(survHD)
	
	data(beer.exprs)
	data(beer.survival)
	X<-t(as.matrix(beer.exprs))
	y<-Surv(beer.survival$os,beer.survival$status)
	ls<-generateLearningsets(y=y,method='CV',fold=3)
	gsel<-geneSelection(X=X,y=y,learningsets=ls, method='fastCox')
	coxboostmodel1<-learnSurvival(y=y,X=X,survmethod='coxBoostSurv',stepno=20,learningsets=ls,genesel=gsel,nbgene=500)
	coxboostmodel2<-learnSurvival(y=y,X=X,survmethod='coxBoostSurv',stepno=200,learningsets=ls,genesel=gsel,nbgene=500)
	options(error=recover)
	comp1<-compareb(coxboostmodel1,coxboostmodel2,measure='IDI',t0=50)
	
	
	plusminusmodel1<-learnSurvival(y=y,X=X,survmethod='plusMinusSurv',learningsets=ls,genesel=gsel,nbgene=5000)
	plusminusmodel2<-learnSurvival(y=y,X=X,survmethod='plusMinusSurv',learningsets=ls,genesel=gsel,nbgene=7000)
	comp2<-compareb(plusminusmodel1,plusminusmodel2,measure='NRI',t0=50)
	comp3<-compareb(plusminusmodel1,plusminusmodel2,measure='MIRS',t0=50)
	comp3b<-compareb(plusminusmodel1,plusminusmodel2,measure='CDelta',tau=50)

	
	lp1<-predict(coxboostmodel1,type='lp',indices=1)[[1]]
	
	lp2<-predict(coxboostmodel2,type='lp',indices=1)[[1]]
	myseed<-1234
	comp4<-compareb(lp1,lp2,measure='IDI',newy=y[-ls@learnmatrix[1,],],t0=50,seed1=myseed)
	
	library(survIDINRI)
	idimanual<-IDI.INF(indata=y[-ls@learnmatrix[1,],],covs0=lp1@lp,covs1=lp2@lp,t0=50,seed1=myseed)$m1
	idimanual2<-IDI.INF(indata=y[-ls@learnmatrix[1,],],covs0=lp1@lp,covs1=lp2@lp,t0=50,seed1=myseed)$m1
	checkEquals(idimanual[1],idimanual2[1])
	idisurvHD<-c(comp4@estimate,comp4@conf.int)
	names(idisurvHD)<-names(idimanual)
	
	checkEquals(idimanual[1],idisurvHD[1])
	
}