##Compare the prediction of survival probabilities at time t between survHD and penalized.
testSurvProbs <- function(){
    require(survHD)
    data(beer.exprs)
    data(beer.survival)
    beerY <- with(beer.survival,Surv(os,status))
    beerX <- t(as.matrix(beer.exprs))
    beerX <- beerX[,1:200]
##    colnames(beerX) <- make.names(colnames(beerX),unique=TRUE)
    ##Illegal characters in column and row names should not break things:
    bad.characters <- c("3", "`", "@", "/", "-", " ", "	", "\n", "\\")
    colnames(beerX) <- paste(sample(bad.characters, ncol(beerX), replace=TRUE), 1:ncol(beerX), sep="")
    rownames(beerX) <- paste(sample(bad.characters, nrow(beerX), replace=TRUE), 1:nrow(beerX), sep="")
    beerX <- scale(beerX)
    ##regression
    set.seed(1)
    fit.ridge <- penalizedSurv(X=beerX,y=beerY, penalty="ridge", lambda=100)
    penalized.probs <- penalized::predict(fit.ridge@model@mod,penalized=beerX)
    mytimegrid <- penalized.probs@time
    survHD.probs <- predict(fit.ridge,beerX,type='survprobs',timegrid=mytimegrid,gbm=TRUE)@survprobs
    prob.diff <- t(sapply(1:nrow(survHD.probs@curves), function(i) survHD.probs@curves[i,] - penalized.probs@curves[i,]))
    checkEquals(colMeans(prob.diff)[ -ncol(prob.diff) ], rep(0,ncol(prob.diff)-1) )
}
