\name{evaluate-methods}
\docType{methods}
\alias{evaluate-methods}

\alias{evaluate,CvPLogL-method}
\alias{evaluate,HarrellC-method}
\alias{evaluate,linpred-method}
\alias{evaluate,PErrC-method}
\alias{evaluate,survoutput-method}
\alias{evaluate,ModelC-method}
\alias{evaluate,coxph-method}
\alias{evaluate,survprobs-method}
\alias{evaluate,UnoC-method}
\title{Evaluation of survival methods}
\description{Evaluate survival methods for the following signatures:}
\section{Methods}{
    \describe{
        \item{\code{signature(object = "CvPLogL")}}{
        evaluate a model using cross-validated log partial likelihood 
        }
        \item{\code{signature(object = "HarrellC")}}{
        evaluate a model using Harrell's C-Statistic 
        }
        \item{\code{signature(object = "linpred")}}{
        evaluate a model using a measure which is based on linear predictors (e.g. \code{HarrellC})
        }
        \item{\code{signature(object = "PErrC")}}{
        evaluate a model using prediction error curves
        }
        \item{\code{signature(object = "survaggr")}}{
        evaluate models which have been fitted in a resampling approach usually perrformed by \code{learnSurvival}
        }
        \item{\code{signature(object = "survprobs")}}{
        evaluate a model using a measure which is based on survival probabilities (e.g. \code{PErrC})
        }
        \item{\code{signature(object = "survoutput")}}{
        evaluate a model trained by a call to one of the survival functions (\code{*Surv}-functions)
        }
        \item{\code{signature(object = "UnoC")}}{
        evaluate a model using Uno's C-Statistic
        }
    }
}
\keyword{multivariate}
