\name{linearriskscore-class}
\docType{class}
\alias{linearriskscore-class}
\alias{linearriskscore}
\alias{show,linearriskscore-method}

\title{"linearriskscore"}
\description{A class for storing any linear risk score model}
\section{Slots}{
	 \describe{
    \item{\code{coefficients}:}{A numeric vector of coefficients of the linear
      model.  If there is an intercept, it should be contained in the
      first position with the name "(Intercept)".}
    \item{\code{modeltype}:}{A character string of length one, defining
      the type of linear risk score.}
    \item{\code{cutpoint}:}{An optional numeric vector providing one or
      more cutpoints for discretizing predictions.}
    \item{\code{votingthresholds}:}{An optional numeric vector providing
      thresholds for a voting-scheme linear risk score.  If it is of length
      one, thresholds for each feature are assumed to be that.
      Otherwise it must be of the same length as coefficients, and with
      the same names.}
  }
}
\section{Methods}{
  \describe{
    \item{predict}{predict(object, X, y, dropmissing=TRUE)}
	 }
}

\examples{

cc <- 1:4
names(cc) <- c("b1", "b2", "b3", "b4")
ret.obj <- new("linearriskscore", coefficients = cc)
ret.obj <- new("linearriskscore", coefficients = cc, cutpoint=2.5)
ret.obj <- new("linearriskscore", coefficients = cc, cutpoint=c(2.5,3.5))

}
\author{Levi Waldron \email{lwaldron@hsph.harvard.edu}
  Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}
}

\seealso{\code{\link{predict,linearriskscore-method}}}
\keyword{multivariate}
